put
https://flow.seekr.com/v1/flow/files
Purpose values and file formats
Each purpose value requires a specific JSONL schema. Each line of the file must be a valid JSON object matching the format for the chosen purpose.
fine-tune and alignment
fine-tune and alignmentEach line requires a messages array of {"role", "content"} objects. Valid roles are system, user, and assistant.
{"messages": [{"role": "system", "content": "You are a helpful assistant."}, {"role": "user", "content": "What is the capital of France?"}, {"role": "assistant", "content": "The capital of France is Paris."}]}preference-fine-tune
preference-fine-tuneEach line requires three fields — messages, chosen, and rejected — each an array of {"role", "content"} objects.
{"messages": [{"role": "user", "content": "What is the capital of France?"}], "chosen": [{"role": "user", "content": "What is the capital of France?"}, {"role": "assistant", "content": "Paris."}], "rejected": [{"role": "user", "content": "What is the capital of France?"}, {"role": "assistant", "content": "Lyon."}]}pre-train
pre-trainEach line requires a single text field containing raw training text.
{"text": "Raw training text goes here."}